From 4b043541ab480aaa083707c134c23d17be5baafc Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Mon, 8 Apr 2024 03:46:17 +0800
Subject: [PATCH] process.c: fix environ for macOS

---
 src/util/unix/process.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git src/util/unix/process.c src/util/unix/process.c
index 15092cb21..68c0384a4 100644
--- src/util/unix/process.c
+++ src/util/unix/process.c
@@ -15,7 +15,12 @@
 #include "process.h"
 #include "strlist.h"
 
-extern char **environ;
+#ifdef __APPLE__
+	#include <crt_externs.h>
+	#define environ (*_NSGetEnviron())
+#else
+	extern char **environ;
+#endif
 
 struct git_process {
 	char **args;
